Roentgen WorkFlow

Integrated with More Workstations

Support for the following:

  • BRIT Vision Version 3.12 or later
  • BRIT PACSView V 1.7
  • OsiriX - Ver 4.0+ (OS X)
  • ClearCanvas Workstation - Ver 2.0+ (Windows)
  • Merge Healthcare eFilm - Ver 3.X.
    • Call about 4.x
  • GE Centricity PACS Workstation - Ver 1.0, 2.0, 2.1, 3.0, 3.2.2 and 4.0. Call about later versions. Requires the Generic Extend Interface module
  • Visage Imaging

Exams sent via https:; so no expensive and time consuming
VPNs are required